Bug 395097 - Plasma crashes when using context menu
Summary: Plasma crashes when using context menu
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: general (show other bugs)
Version: 5.12.90
Platform: Fedora RPMs Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: drkonqi
: 396544 396888 405671 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-06-07 07:00 UTC by Paolo
Modified: 2021-03-09 03:25 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo 2018-06-07 07:00:06 UTC
Application: plasmashell (5.12.90)

Qt Version: 5.11.0
Frameworks Version: 5.47.0
Operating System: Linux 4.18.0-0.rc0.git2.1.fc29.x86_64 x86_64
Distribution: "Fedora release 29 (Rawhide)"

-- Information about the crash:
- What I was doing when the application crashed:
Trying to change desktop background with context menu; plasma freezes for a while, then back to normal after a few seconds
- Unusual behavior I noticed:
Previous version of plasma crashed the same way; this version is far better but something doesn't work with context menu (desktop settings)
- Custom settings of the application:
Custom icon set, custom background image

The crash can be reproduced sometimes.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ff2547d3400 (LWP 1488))]

Thread 10 (Thread 0x7ff1737d3700 (LWP 3940)):
#0  0x00007ff260a3c4c9 in poll () at /lib64/libc.so.6
#1  0x00007ff258e5dbe6 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007ff258e5dd10 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007ff2618ddf3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007ff26188c98b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007ff2616f46a6 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007ff26544dcc9 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x00007ff2616fdb5b in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7ff1879a7700 (LWP 1969)):
#0  0x00007ff260a3c4c9 in poll () at /lib64/libc.so.6
#1  0x00007ff258e5dbe6 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007ff258e5dd10 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007ff2618ddf3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007ff26188c98b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007ff2616f46a6 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007ff18a3155fb in KCupsConnection::run() () at /lib64/libkcupslib.so
#7  0x00007ff2616fdb5b in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7ff19bfde700 (LWP 1860)):
#0  0x00007ff260a3c4c9 in poll () at /lib64/libc.so.6
#1  0x00007ff258e5dbe6 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007ff258e5dd10 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007ff2618ddf3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007ff26188c98b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007ff2616f46a6 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007ff2656e2a5a in QQuickPixmapReader::run() () at /lib64/libQt5Quick.so.5
#7  0x00007ff2616fdb5b in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7ff1a836e700 (LWP 1773)):
#0  0x00007ff25fd905dc in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff1ab406953 in util_queue_thread_func () at /usr/lib64/dri/nouveau_dri.so
#2  0x00007ff1ab40666b in impl_thrd_routine () at /usr/lib64/dri/nouveau_dri.so
#3  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#4  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7ff236936700 (LWP 1760)):
#0  0x00007ff25fd905dc in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007ff267a66916 in QTWTF::TCMalloc_PageHeap::scavengerThread() () at /lib64/libQt5Script.so.5
#2  0x00007ff267a66981 in  () at /lib64/libQt5Script.so.5
#3  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#4  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7ff237774700 (LWP 1704)):
#0  0x00007ff260a3c4c9 in poll () at /lib64/libc.so.6
#1  0x00007ff258e5dbe6 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007ff258e5dd10 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007ff2618ddf3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007ff26188c98b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007ff2616f46a6 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007ff2616fdb5b in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#8  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7ff23ebe9700 (LWP 1654)):
#0  0x00007ff260a3c4c9 in poll () at /lib64/libc.so.6
#1  0x00007ff258e5dbe6 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007ff258e5dd10 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007ff2618ddf3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007ff26188c98b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007ff2616f46a6 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007ff26544dcc9 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x00007ff2616fdb5b in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7ff23ffff700 (LWP 1596)):
#0  0x00007ff260a3c4c9 in poll () at /lib64/libc.so.6
#1  0x00007ff258e5dbe6 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x00007ff258e5dd10 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x00007ff2618ddf3b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007ff26188c98b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x00007ff2616f46a6 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007ff2633b57b9 in QDBusConnectionManager::run() () at /lib64/libQt5DBus.so.5
#7  0x00007ff2616fdb5b in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#9  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7ff246138700 (LWP 1512)):
#0  0x00007ff260a3c4c9 in poll () at /lib64/libc.so.6
#1  0x00007ff26613e04f in _xcb_conn_wait () at /lib64/libxcb.so.1
#2  0x00007ff26613fcaa in xcb_wait_for_event () at /lib64/libxcb.so.1
#3  0x00007ff247e9cee9 in QXcbEventReader::run() () at /lib64/libQt5XcbQpa.so.5
#4  0x00007ff2616fdb5b in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#5  0x00007ff25fd8a644 in start_thread () at /lib64/libpthread.so.0
#6  0x00007ff260a46f8f in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7ff2547d3400 (LWP 1488)):
[KCrash Handler]
#6  0x0000000000000000 in  ()
#7  0x00007ff2618bb3e0 in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () at /lib64/libQt5Core.so.5
#8  0x00007ff171edec2a in Kirigami::BasicTheme::BasicTheme(QObject*) () at /lib64/libKF5Kirigami2.so.5
#9  0x00007ff171eda629 in Kirigami::PlatformTheme::qmlAttachedProperties(QObject*) () at /lib64/libKF5Kirigami2.so.5
#10 0x00007ff2653a322d in QtQml::qmlAttachedPropertiesObjectById(int, QObject const*, bool) () at /lib64/libQt5Qml.so.5
#11 0x00007ff265443143 in QQmlObjectCreator::setPropertyBinding(QQmlPropertyData const*, QV4::CompiledData::Binding const*) () at /lib64/libQt5Qml.so.5
#12 0x00007ff265445195 in QQmlObjectCreator::setupBindings(bool) () at /lib64/libQt5Qml.so.5
#13 0x00007ff2654461b4 in QQmlObjectCreator::populateInstance(int, QObject*, QObject*, QQmlPropertyData const*) () at /lib64/libQt5Qml.so.5
#14 0x00007ff265446fcb in QQmlObjectCreator::createInstance(int, QObject*, bool) () at /lib64/libQt5Qml.so.5
#15 0x00007ff2654475be in QQmlObjectCreator::create(int, QObject*, QQmlInstantiationInterrupt*) () at /lib64/libQt5Qml.so.5
#16 0x00007ff265446c6a in QQmlObjectCreator::createInstance(int, QObject*, bool) () at /lib64/libQt5Qml.so.5
#17 0x00007ff2654475be in QQmlObjectCreator::create(int, QObject*, QQmlInstantiationInterrupt*) () at /lib64/libQt5Qml.so.5
#18 0x00007ff2653ba750 in QQmlIncubatorPrivate::incubate(QQmlInstantiationInterrupt&) () at /lib64/libQt5Qml.so.5
#19 0x00007ff2653baf27 in QQmlEnginePrivate::incubate(QQmlIncubator&, QQmlContextData*) () at /lib64/libQt5Qml.so.5
#20 0x00007ff2653b7b7c in QQmlComponent::create(QQmlIncubator&, QQmlContext*, QQmlContext*) () at /lib64/libQt5Qml.so.5
#21 0x00007ff26584a4f4 in QQuickLoaderPrivate::_q_sourceLoaded() () at /lib64/libQt5Quick.so.5
#22 0x00007ff26584a59c in QQuickLoaderPrivate::load() () at /lib64/libQt5Quick.so.5
#23 0x00007ff265440f0e in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) () at /lib64/libQt5Qml.so.5
#24 0x00007ff2653b5b21 in QQmlComponentPrivate::complete(QQmlEnginePrivate*, QQmlComponentPrivate::ConstructionState*) () at /lib64/libQt5Qml.so.5
#25 0x00007ff2653b5c57 in QQmlComponentPrivate::completeCreate() () at /lib64/libQt5Qml.so.5
#26 0x00007ff2653b6ba6 in QQmlComponent::createObject(QQmlV4Function*) () at /lib64/libQt5Qml.so.5
#27 0x00007ff2653b8af4 in QQmlComponent::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#28 0x00007ff2653b8f63 in QQmlComponent::qt_metacall(QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#29 0x00007ff2653ffe45 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const () at /lib64/libQt5Qml.so.5
#30 0x00007ff265365aee in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at /lib64/libQt5Qml.so.5
#31 0x00007ff2653805e5 in QV4::Runtime::method_callProperty(QV4::ExecutionEngine*, QV4::Value*, int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#32 0x00007ff26537391a in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#33 0x00007ff26537c91f in QV4::Runtime::method_callName(QV4::ExecutionEngine*, int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#34 0x00007ff265373778 in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#35 0x00007ff26537c91f in QV4::Runtime::method_callName(QV4::ExecutionEngine*, int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#36 0x00007ff265373778 in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#37 0x00007ff26537c91f in QV4::Runtime::method_callName(QV4::ExecutionEngine*, int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#38 0x00007ff265373778 in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#39 0x00007ff26542dc5f in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /lib64/libQt5Qml.so.5
#40 0x00007ff2653bf227 in QQmlBoundSignalExpression::evaluate(void**) () at /lib64/libQt5Qml.so.5
#41 0x00007ff2653c03fb in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#42 0x00007ff26540a713 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#43 0x00007ff2653a1f88 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /lib64/libQt5Qml.so.5
#44 0x00007ff2618b5673 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#45 0x00007ff26539e00c in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#46 0x00007ff2653669f4 in QV4::QObjectWrapper::setProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData*, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#47 0x00007ff26536710e in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#48 0x00007ff26536720c in QV4::QObjectWrapper::put(QV4::Managed*, QV4::String*, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#49 0x00007ff26537a8f0 in QV4::Runtime::method_storeProperty(QV4::ExecutionEngine*, QV4::Value const&, int, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#50 0x00007ff2653730dc in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#51 0x00007ff26542dc5f in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /lib64/libQt5Qml.so.5
#52 0x00007ff2653bf227 in QQmlBoundSignalExpression::evaluate(void**) () at /lib64/libQt5Qml.so.5
#53 0x00007ff2653c03fb in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#54 0x00007ff26540a713 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#55 0x00007ff2653a1f88 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /lib64/libQt5Qml.so.5
#56 0x00007ff2618b5673 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#57 0x00007ff26540a713 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#58 0x00007ff2653a1f88 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /lib64/libQt5Qml.so.5
#59 0x00007ff2618b5673 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#60 0x00007ff1a7b450db in QQuickMenu1::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /usr/lib64/qt5/qml/QtQuick/Controls/libqtquickcontrolsplugin.so
#61 0x00007ff1a7b454eb in QQuickMenu1::qt_metacall(QMetaObject::Call, int, void**) () at /usr/lib64/qt5/qml/QtQuick/Controls/libqtquickcontrolsplugin.so
#62 0x00007ff26539dbcf in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#63 0x00007ff26539da2a in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#64 0x00007ff26539dc66 in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#65 0x00007ff2653663b4 in QV4::QObjectWrapper::setProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData*, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#66 0x00007ff26536710e in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#67 0x00007ff26536720c in QV4::QObjectWrapper::put(QV4::Managed*, QV4::String*, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#68 0x00007ff26537a8f0 in QV4::Runtime::method_storeProperty(QV4::ExecutionEngine*, QV4::Value const&, int, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#69 0x00007ff2653730dc in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#70 0x00007ff26542dc5f in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /lib64/libQt5Qml.so.5
#71 0x00007ff2653bf227 in QQmlBoundSignalExpression::evaluate(void**) () at /lib64/libQt5Qml.so.5
#72 0x00007ff2653c03fb in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#73 0x00007ff26540a713 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#74 0x00007ff2653a1f88 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /lib64/libQt5Qml.so.5
#75 0x00007ff2618b5673 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#76 0x00007ff265441298 in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) () at /lib64/libQt5Qml.so.5
#77 0x00007ff2653b5b21 in QQmlComponentPrivate::complete(QQmlEnginePrivate*, QQmlComponentPrivate::ConstructionState*) () at /lib64/libQt5Qml.so.5
#78 0x00007ff2653b5c57 in QQmlComponentPrivate::completeCreate() () at /lib64/libQt5Qml.so.5
#79 0x00007ff2653b6ba6 in QQmlComponent::createObject(QQmlV4Function*) () at /lib64/libQt5Qml.so.5
#80 0x00007ff2653b8af4 in QQmlComponent::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#81 0x00007ff2653b8f63 in QQmlComponent::qt_metacall(QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#82 0x00007ff2653ffe45 in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const () at /lib64/libQt5Qml.so.5
#83 0x00007ff265365aee in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const () at /lib64/libQt5Qml.so.5
#84 0x00007ff2653805e5 in QV4::Runtime::method_callProperty(QV4::ExecutionEngine*, QV4::Value*, int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#85 0x00007ff26537391a in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#86 0x00007ff26537c91f in QV4::Runtime::method_callName(QV4::ExecutionEngine*, int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#87 0x00007ff265373778 in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#88 0x00007ff26537c91f in QV4::Runtime::method_callName(QV4::ExecutionEngine*, int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#89 0x00007ff265373778 in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#90 0x00007ff26537c91f in QV4::Runtime::method_callName(QV4::ExecutionEngine*, int, QV4::Value*, int) () at /lib64/libQt5Qml.so.5
#91 0x00007ff265373778 in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#92 0x00007ff26542dc5f in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /lib64/libQt5Qml.so.5
#93 0x00007ff2653bf227 in QQmlBoundSignalExpression::evaluate(void**) () at /lib64/libQt5Qml.so.5
#94 0x00007ff2653c03fb in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#95 0x00007ff26540a713 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#96 0x00007ff2653a1f88 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /lib64/libQt5Qml.so.5
#97 0x00007ff2618b5673 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#98 0x00007ff26539e00c in QQmlVMEMetaObject::metaCall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libQt5Qml.so.5
#99 0x00007ff2653669f4 in QV4::QObjectWrapper::setProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData*, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#100 0x00007ff26536710e in QV4::QObjectWrapper::setQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#101 0x00007ff26536720c in QV4::QObjectWrapper::put(QV4::Managed*, QV4::String*, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#102 0x00007ff26537a8f0 in QV4::Runtime::method_storeProperty(QV4::ExecutionEngine*, QV4::Value const&, int, QV4::Value const&) () at /lib64/libQt5Qml.so.5
#103 0x00007ff2653730dc in QV4::Moth::VME::exec(QV4::FunctionObject const*, QV4::Value const*, QV4::Value const*, int) () at /lib64/libQt5Qml.so.5
#104 0x00007ff26542dc5f in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) () at /lib64/libQt5Qml.so.5
#105 0x00007ff2653bf227 in QQmlBoundSignalExpression::evaluate(void**) () at /lib64/libQt5Qml.so.5
#106 0x00007ff2653c03fb in QQmlBoundSignal_callback(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#107 0x00007ff26540a713 in QQmlNotifier::emitNotify(QQmlNotifierEndpoint*, void**) () at /lib64/libQt5Qml.so.5
#108 0x00007ff2653a1f88 in QQmlData::signalEmitted(QAbstractDeclarativeData*, QObject*, int, void**) () at /lib64/libQt5Qml.so.5
#109 0x00007ff2618b5673 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#110 0x00007ff265441298 in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) () at /lib64/libQt5Qml.so.5
#111 0x00007ff2653b5b21 in QQmlComponentPrivate::complete(QQmlEnginePrivate*, QQmlComponentPrivate::ConstructionState*) () at /lib64/libQt5Qml.so.5
#112 0x00007ff2653b5c57 in QQmlComponentPrivate::completeCreate() () at /lib64/libQt5Qml.so.5
#113 0x00007ff2653b5a24 in QQmlComponent::create(QQmlContext*) () at /lib64/libQt5Qml.so.5
#114 0x00007ff26584f92f in QQuickView::continueExecute() () at /lib64/libQt5Quick.so.5
#115 0x00007ff26584feb4 in QQuickViewPrivate::execute() () at /lib64/libQt5Quick.so.5
#116 0x000055c78d37c462 in ContainmentConfigView::init() ()
#117 0x000055c78d385001 in DesktopView::showConfigurationInterface(Plasma::Applet*) ()
#118 0x00007ff2618b5d43 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#119 0x00007ff265c8ff96 in Plasma::Containment::configureRequested(Plasma::Applet*) (this=<optimized out>, _t1=<optimized out>) at /usr/src/debug/kf5-plasma-5.47.0-1.fc29.x86_64/x86_64-redhat-linux-gnu/src/plasma/KF5Plasma_autogen/include/moc_containment.cpp:455
#120 0x00007ff265c9d0ec in Plasma::AppletPrivate::requestConfiguration() (this=<optimized out>) at /usr/src/debug/kf5-plasma-5.47.0-1.fc29.x86_64/src/plasma/private/applet_p.cpp:405
#121 0x00007ff265c8bf79 in Plasma::Applet::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kf5-plasma-5.47.0-1.fc29.x86_64/x86_64-redhat-linux-gnu/src/plasma/KF5Plasma_autogen/include/moc_applet.cpp:245
#122 0x00007ff2618b5c1e in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#123 0x00007ff26288eb06 in QAction::triggered(bool) () at /lib64/libQt5Widgets.so.5
#124 0x00007ff2628911d0 in QAction::activate(QAction::ActionEvent) () at /lib64/libQt5Widgets.so.5
#125 0x00007ff262a12adc in QMenuPrivate::activateCausedStack(QVector<QPointer<QWidget> > const&, QAction*, QAction::ActionEvent, bool) () at /lib64/libQt5Widgets.so.5
#126 0x00007ff262a1a184 in QMenuPrivate::activateAction(QAction*, QAction::ActionEvent, bool) () at /lib64/libQt5Widgets.so.5
#127 0x00007ff262a1b1cb in QMenu::mouseReleaseEvent(QMouseEvent*) () at /lib64/libQt5Widgets.so.5
#128 0x00007ff2628d4358 in QWidget::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#129 0x00007ff262a1d88b in QMenu::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#130 0x00007ff262895355 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#131 0x00007ff26289cc88 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#132 0x00007ff26188da46 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#133 0x00007ff26289bfad in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () at /lib64/libQt5Widgets.so.5
#134 0x00007ff2628ef4b3 in QWidgetWindow::handleMouseEvent(QMouseEvent*) () at /lib64/libQt5Widgets.so.5
#135 0x00007ff2628f1c9e in QWidgetWindow::event(QEvent*) () at /lib64/libQt5Widgets.so.5
#136 0x00007ff262895355 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#137 0x00007ff26289ca7a in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#138 0x00007ff26188da46 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#139 0x00007ff261c35334 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /lib64/libQt5Gui.so.5
#140 0x00007ff261c373c5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /lib64/libQt5Gui.so.5
#141 0x00007ff261c102ab in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Gui.so.5
#142 0x00007ff247f2f82f in QPAEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5XcbQpa.so.5
#143 0x00007ff26188c98b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#144 0x00007ff261894a66 in QCoreApplication::exec() () at /lib64/libQt5Core.so.5
#145 0x000055c78d379c5f in main ()
[Inferior 1 (process 1488) detached]

Reported using DrKonqi
Comment 1 Marco Martin 2018-06-07 14:17:08 UTC
is the package qqc2-desktop-style installed on your system?
Comment 2 Christoph Feck 2018-06-21 13:40:01 UTC
If you can provide the information requested in comment #1, please add it.
Comment 3 Paolo 2018-06-22 07:05:23 UTC
Sorry for the delay Marco. Yes, the package "qqc2-desktop-style" is installed. Anyway, since the last update, it seems everything's better, much better. Got a new issue now, but I still have to go through it a bit more then: if unsolvable,  I'll report the new issue
Comment 4 Christoph Feck 2018-07-20 02:41:11 UTC
Thanks for the update. Can this ticket get closed?
Comment 5 Paolo 2018-07-20 05:40:29 UTC
Solved, so far! :-) Thanks everyone
Comment 6 Matthieu Gras 2018-07-26 17:37:56 UTC
*** Bug 396888 has been marked as a duplicate of this bug. ***
Comment 7 Matthieu Gras 2018-07-27 09:43:00 UTC
*** Bug 396544 has been marked as a duplicate of this bug. ***
Comment 8 Nate Graham 2021-03-09 03:25:42 UTC
*** Bug 405671 has been marked as a duplicate of this bug. ***